FROM node:14

# Create app directory
WORKDIR /usr/src/app

# Install app dependencies
# A wildcard is used to ensure both package.json AND package-lock.json are copied
# where available (npm@5+)
COPY package*.json ./

RUN npm install
# If you are building your code for production
# RUN npm ci --only=production

# Bundle app source
COPY . .
ENV HOST=localhost
ENV USER=root
ENV PASSWORD=root
ENV PORT=8080
ENV DB_URL=mongodb://mongo:27017/reto
EXPOSE 8080
CMD [ "npm", "run", "start" ]